/* ////////////////////////////////////////////////////////////////////////////

// Project: Sharing data from a RDBMS with a Protege project using JDBC/ODBC.

// Developer: My Nguyen
// Developer: Adam Silberfein (2005 updates)

// First Created: 7/11/01-

// Last Revision: 

// 05.29.04 v2.0b
// 09.02.01 v1.0b build 2
// 08.27.01 Build 8
// 08.20.01 Build 7
// 08.06.01 
// 8/1/01

/////////////////////////////////////////////////////////////////////////////*/

package DataGenieTab;

///////////////////////////////////////////////////////////////////////////////
// IMPORTS

// For the Swing UI Components
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.event.*;
import javax.swing.table.*;
import javax.swing.border.*;

// For the JDBC
import java.sql.*;

// For Vector and Collections classes
import java.util.*;

// For File I/O
import java.io.*;

// For the Protege PDK
import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.widget.*;
import edu.stanford.smi.protege.util.*;


///////////////////////////////////////////////////////////////////////////////
// DataGenieTab

// DataGenieTab is the main, top-level class, directly subclassed from AbstractTabWidget

public class DataGenieTab extends AbstractTabWidget {

    // Default constructor

	public DataGenieTab() {
    }
    
	// Initialize this tab-widget and the GUI layout

    public void initialize() {
        // set tab properties
        setLabel(Global.tabName + " " + Global.tabVersion);

        // add UI components
        setLayout(new BorderLayout());

        DataPreviewPanel previewPanel = new DataPreviewPanel();
		connectInfoPanel = new ConnectInfoPanel(previewPanel,getKnowledgeBase());
		//connectInfoPanel.setPreferredSize(new Dimension(400,0));
        add(connectInfoPanel,BorderLayout.WEST);
        add(previewPanel,BorderLayout.CENTER);
    }

	// Save the current list of data source names that have been accessed 
	// to disk when the current project is closed.

	public void close() {
		super.close();
		saveDSNList();		
	}

	// Save the current list of data source names that have been accessed 
	// to disk when the current project is saved.

	public void save() {
		super.save();
		saveDSNList();
	}

	// This is the actual method that does the storing of the data source
	// names to disk.  This list of names is restored the next time
	// the tab widget is opened.

	private void saveDSNList() {
		Vector dsnList = connectInfoPanel.getDSNList();
		if (dsnList.size() > 0) {
			try {
				FileWriter fileWriter = new FileWriter(Global.tabName,false);
				BufferedWriter writer = new BufferedWriter(fileWriter);

				Enumeration enum = dsnList.elements();
				while (enum.hasMoreElements()) {
					String dsn = (String)enum.nextElement();
					writer.write(dsn,0,dsn.length());
					writer.newLine();
				}

				writer.close();
				fileWriter.close();
			} catch (IOException ex) {
				ex.printStackTrace();
			}
		}
	}

	// Class data

	private ConnectInfoPanel connectInfoPanel;
}

