/* ////////////////////////////////////////////////////////////////////////////

// Project: Sharing data from a RDBMS with a Protege project using JDBC/ODBC.

// Developer: My Nguyen

/////////////////////////////////////////////////////////////////////////////*/

package DataGenieTab;

///////////////////////////////////////////////////////////////////////////////
// IMPORTS

// For the Swing UI Components
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.event.*;

import edu.stanford.smi.protege.plugin.*;

///////////////////////////////////////////////////////////////////////////////
// MyTreeCellRenderer

class MyTreeCellRenderer extends DefaultTreeCellRenderer {

	// Constructor	
	public MyTreeCellRenderer() {
		String pluginClassName = DataGenieTab.class.getName();
		String resourcePath = PluginUtilities.getInstallationDirectory(pluginClassName)+ "\\" + "DataGenieTab/resource/";
		sysTableIcon = new ImageIcon(resourcePath + "table_system.gif");
		tableIcon = new ImageIcon(resourcePath + "table.gif");
		viewIcon = new ImageIcon(resourcePath + "view.gif");
		middleIcon = new ImageIcon(resourcePath + "middle.gif");
		pkIcon = new ImageIcon(resourcePath + "pk.gif");

		Global.debug(tableIcon.getDescription());
		int status = tableIcon.getImageLoadStatus();
		switch(status) {
			case MediaTracker.ABORTED:
				Global.debug("ABORTED");
				break;
			case MediaTracker.ERRORED:
				Global.debug("ERRORED");
				break;
			case MediaTracker.COMPLETE:
				Global.debug("COMPLETE");
				break;
		}
		Global.debug(Integer.toString(tableIcon.getIconWidth()));
		Global.debug(Integer.toString(tableIcon.getIconHeight()));
	}

	// Override

    public Component getTreeCellRendererComponent(
                        JTree tree,
                        Object value,
                        boolean sel,
                        boolean expanded,
                        boolean leaf,
                        int row,
                        boolean hasFocus) {

        super.getTreeCellRendererComponent(
                        tree, value, sel,
                        expanded, leaf, row,
                        hasFocus);

		DefaultMutableTreeNode node = (DefaultMutableTreeNode)value;
		if (node != null) {
			TreeNodeInfo info = (TreeNodeInfo)node.getUserObject();

			Font font = getFont();
			switch (info.m_type) {
				case TreeNodeInfo.TABLE_SYSTEM:
					setFont(font.deriveFont(Font.ITALIC));
					setIcon(sysTableIcon);
					break;
				case TreeNodeInfo.TABLE:
					setFont(font.deriveFont(Font.BOLD));
					setIcon(tableIcon);
					break;
				case TreeNodeInfo.TABLE_VIEW:
					setFont(font.deriveFont(Font.PLAIN));
					setIcon(viewIcon);
					break;
				case TreeNodeInfo.COLUMN:
					setFont(font.deriveFont(Font.PLAIN));
					break;
				case TreeNodeInfo.COLUMN_PK:
					setFont(font.deriveFont(Font.BOLD));
					setIcon(pkIcon);
					break;
			}
		}

        return this;
    }

	ImageIcon sysTableIcon;
	ImageIcon tableIcon;
	ImageIcon viewIcon;
	ImageIcon middleIcon;

	ImageIcon pkIcon;
}

