/* ////////////////////////////////////////////////////////////////////////////

// Project: Sharing data from a RDBMS with a Protege project using JDBC/ODBC.

// Developer: My Nguyen

/////////////////////////////////////////////////////////////////////////////*/

package DataGenieTab;

///////////////////////////////////////////////////////////////////////////////
// IMPORTS

// For the Swing UI Components
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

// For Vector and Collections classes
import java.util.*;

// For the Protege PDK
import edu.stanford.smi.protege.util.*;


///////////////////////////////////////////////////////////////////////////////
// NewSlotNameDialog

// The NewSlotNameDialog class is used to get a new slot name from the user
// when she tries to create a slot that already exists, but is of a different
// data type

class NewSlotNameDialog extends JDialog implements ActionListener {

	// Constructor

	public NewSlotNameDialog(java.awt.Frame parent, String slotName) {
		super(parent,"Slot Already Exists",true);

		setSize(new Dimension(300,150));

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout());
		
		JPanel centerPanel = new JPanel(new FlowLayout(FlowLayout.CENTER));
		slotNameField = new JTextField(slotName,20);
		centerPanel.add(new LabeledComponent("Please enter a new slot name",slotNameField,true));
		contentPane.add(centerPanel,BorderLayout.CENTER);

		JPanel southPanel = new JPanel(new FlowLayout(FlowLayout.CENTER));
		okButton = new JButton("Ok");
		okButton.setMnemonic('K');
		okButton.addActionListener(this);
		southPanel.add(okButton);
		contentPane.add(southPanel,BorderLayout.SOUTH);

		oldSlotName = slotName;
		selectedSlotName = oldSlotName;
		ok = false;
	}

	// Handle action events

	public void actionPerformed(ActionEvent e) {
		Object src = e.getSource();
		if (src == okButton) {
			String newSlotName = slotNameField.getText();
			if (newSlotName.compareToIgnoreCase(oldSlotName) == 0
				|| newSlotName.length() == 0) {
				java.awt.Frame frame = JOptionPane.getFrameForComponent(this);
				String msg = "Please enter a new slot name to create.";
				JOptionPane.showMessageDialog(frame,msg,Global.tabName,JOptionPane.WARNING_MESSAGE);
			} else {
				setVisible(false);
				selectedSlotName = newSlotName;
				ok = true;
			}
		}
	}

	// Display the dialog

	public boolean showDialog() {
		show();
		return ok;
	}

	// Class data

	private JTextField slotNameField;
	private JButton okButton;

	private boolean ok;

	private String oldSlotName;
	
	public String selectedSlotName;
}


