/* ////////////////////////////////////////////////////////////////////////////

// Project: Sharing data from a RDBMS with a Protege project using JDBC/ODBC.

// Developer: My Nguyen

/////////////////////////////////////////////////////////////////////////////*/

package DataGenieTab;

///////////////////////////////////////////////////////////////////////////////
// IMPORTS

// For the Swing UI Components
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

// For Vector and Collections classes
import java.util.*;


///////////////////////////////////////////////////////////////////////////////
// RelationshipKey

// The RelationshipKey class stores information about an entity relationship.
// An entity relationship has a source table and a foreign key that relates
// to a target target and its primary key.

class RelationshipKey extends Object {
	
	// Constructor

	public RelationshipKey(String strTable1, String strForeignKey, String strTable2, String strPrimaryKey) {
		this.strTable1 = strTable1;
		this.strForeignKey = strForeignKey;
		this.strTable2 = strTable2;
		this.strPrimaryKey = strPrimaryKey;
	}

	// Override the Object to string method.  This string is displayed in
	// a GUI element, such as a list box.

	public String toString() {
		String strText = strTable1+":"+strForeignKey+" --> "+strTable2+":"+strPrimaryKey;	
		return strText;
	}

	// Test to see if two relationships are the same

	public boolean equals(RelationshipKey key) {
		return ((strTable1 == key.strTable1)
			&& (strForeignKey == key.strForeignKey)
			&& (strTable2 == key.strTable2)
			&& (strPrimaryKey == key.strPrimaryKey));
	}

	// Class data

	public String strTable1, strForeignKey, strTable2, strPrimaryKey;
}



